### Method

# PangoOT.Buffer.get_glyphs

#### Declaration [src]

    void
    pango_ot_buffer_get_glyphs (
      const PangoOTBuffer* buffer,
      PangoOTGlyph** glyphs,
      int* n_glyphs
    )

#### Description [src]

Gets the glyph array contained in a `PangoOTBuffer`. The glyphs are owned by the buffer and should not be freed, and are only valid as long as buffer is not modified.

#### Parameters

`glyphs` | An array of `PangoOTGlyph`
| location to store the array of glyphs, or `NULL`
| Direction: out
| The length of the array is in the `n_glyphs` argument
| Ownership of the data is transferred to the callee
`n_glyphs` | `int*`
| location to store the number of glyphs, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee